### Virtual Method

# Gtk TextBuffer insert_paintable

#### Declaration [src]

    void
    insert_paintable (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      GdkPaintable* paintable
    )

#### Description [src]

Inserts an image into the text buffer at `iter`.

The image will be counted as one character in character counts, and when obtaining the buffer contents as a string, will be represented by the Unicode “object replacement character” 0xFFFC. Note that the “slice” variants for obtaining portions of the buffer as a string include this character for paintable, but the “text” variants do not. e.g. see `gtk_text_buffer_get_slice()` and `gtk_text_buffer_get_text()`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Location to insert the paintable.

  The data is owned by the caller of the function.

`paintable`

  Type: `GdkPaintable`

  A `GdkPaintable`

  The data is owned by the caller of the function.